package com.gci.boot.common.config;

import com.gci.boot.common.util.CacheUtil;
import com.gci.boot.common.util.RedisUtil;
import com.gci.boot.common.util.SpringContextUtil;
import com.gci.boot.common.util.SpringEnvironmentUtil;
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.cache.CacheManager;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.DependsOn;
import org.springframework.data.redis.core.RedisTemplate;

@Configuration
public class UtilsInitializeConfig {
    @Bean
    public SpringContextUtil.Initializer springContextUtilInitializer() {
        return new SpringContextUtil.Initializer();
    }

    @Bean
    public SpringEnvironmentUtil.Initializer springEnvironmentUtilInitializer() {
        return new SpringEnvironmentUtil.Initializer();
    }

    @Bean
    public RedisUtil redisUtilInitializer() {
        return new RedisUtil();
    }

    @Bean
    public CacheUtil cacheUtilInitializer() {
        return new CacheUtil();
    }
}
